<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="tech.starwin">

    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <!--写入SD卡-->
    <uses-permission
        android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <!--读取SD卡-->
    <uses-permission
        android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <!--相机-->
    <uses-permission android:name="android.permission.CAMERA" />
    <!--读取联系人信息-->
    <uses-permission android:name="android.permission.READ_CONTACTS" />
    <!--访问网络-->
    <uses-permission android:name="android.permission.INTERNET" />
    <!--打电话-->
    <!--<uses-permission android:name="android.permission.CALL_PHONE" />-->
    <!--拍照-->
    <!--<uses-permission android:name="android.permission.RECORD_VIDEO" />-->
    <!--相机聚焦-->
    <uses-feature
        android:name="android.hardware.camera"
        android:required="false" />
    <uses-feature
        android:name="android.hardware.camera.autofocus"
        android:required="false" />

    <!--<uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />-->
    <!--<uses-permission android:name="android.permission.INTERNET" />-->

    <!--&lt;!&ndash;<uses-permission android:name="android.permission.READ_PHONE_STATE" />&ndash;&gt;-->
    <!--<uses-permission android:name="android.permission.READ_PHONE_STATE" />-->
    <!--<uses-permission android:name="android.permission.WAKE_LOCK" />-->

    <application
        android:networkSecurityConfig="@xml/network_security_config">
        <!--适应全面屏-->
        <meta-data
            android:name="android.max_aspect"
            android:value="3" />

        <!-- TODO - Firebase配置-->
        <!--FireBase 推送-->
        <!--<meta-data-->
        <!--android:name="com.google.firebase.messaging.default_notification_channel_id"-->
        <!--android:value="${CHANNEL_NAME}" />-->
        <!--<meta-data-->
        <!--android:name="firebase_messaging_auto_init_enabled"-->
        <!--android:value="false" />-->
        <!--<service android:name="com.common.service.MsgHandleService">-->
        <!--<intent-filter>-->
        <!--<action android:name="com.google.firebase.MESSAGING_EVENT" />-->
        <!--</intent-filter>-->
        <!--</service>-->
        <!--<service android:name="com.common.service.MsgInstanceIdService">-->
        <!--<intent-filter>-->
        <!--<action android:name="com.google.firebase.INSTANCE_ID_EVENT" />-->
        <!--</intent-filter>-->
        <!--</service>-->

        <!--AutoSize-->
        <meta-data
            android:name="design_width_in_dp"
            android:value="360" />
        <meta-data
            android:name="design_height_in_dp"
            android:value="640" />

        <!--Facebook AccountKit-->
        <meta-data
            android:name="com.facebook.accountkit.ApplicationName"
            android:value="@string/app_name_str" />
        <meta-data
            android:name="com.facebook.sdk.ApplicationId"
            android:value="@string/FACEBOOK_APP_ID" />
        <meta-data
            android:name="com.facebook.accountkit.ClientToken"
            android:value="@string/ACCOUNT_KIT_CLIENT_TOKEN" />

        <activity android:name="com.facebook.accountkit.ui.AccountKitActivity" />

        <!--地区选择-->
        <activity android:name="com.common.activity.RegionActivity" />

        <!-- Zendesk -->
        <activity
            android:name="com.common.activity.RefreshDeskActivity"

            android:windowSoftInputMode="adjustResize" />
        <activity android:name="com.common.activity.RefreshDeskListActivity" />

        <!--拍照-->
        <activity android:name="com.common.activity.TakePhotoActivity" />

        <!--还款指南-->
        <activity android:name="com.common.activity.RepaymentGuideActivity" />


        <!--Web-->
        <activity android:name="com.common.activity.WebActivity" />

        <!--注册协议和隐私政策-->
        <activity
            android:name="com.common.activity.AgreementPolicyActivity"
            android:launchMode="standard" />

        <!--帮助中心-->
        <activity android:name="com.common.activity.HelpCenterActivity" />

        <!--关于我们-->
        <activity android:name="com.common.activity.AboutUsActivity" />

        <!--活动中心-->
        <activity android:name="com.common.activity.ActivityCenter" />

        <!--活动中心-->
        <activity android:name="com.common.activity.MessageListActivity" />

        <!--Hook Activity-->
        <activity android:name="com.common.activity.ReviewHookActivity" />

        <!--<receiver-->
        <!--tools:node="remove"-->
        <!--android:name="com.kochava.base.ReferralReceiver">-->
        <!--</receiver>-->

        <receiver
            android:name="com.common.broadcast.InstallReferrerReceiver"
            android:enabled="true"
            android:exported="true"
            android:permission="android.permission.INSTALL_PACKAGES">
            <intent-filter>
                <action android:name="com.android.vending.INSTALL_REFERRER" />
            </intent-filter>
        </receiver>

    </application>

</manifest>